1
0 6
0 19 7
0 13 7
40
47
49
1
72
71
70
1 15 12
150
184
187
175
221
156
171
223
152
161
224
174
2 11 5
110
113
140
134
96
3 11 8
105
142
127
139
107
80
148
147
4 13 7
19
28
29
67
35
6
59
5 18 6
273
280
284
256
229
231
6 18 7
276
288
225
270
272
254
278
1 19 7
7 14 10
303
334
367
311
371
335
356
339
337
349
8 11 10
106
121
95
78
144
143
89
135
98
120
9 18 17
237
268
259
252
226
298
241
228
283
297
291
295
233
253
247
292
287
10 14 7
323
370
309
318
360
359
363
11 15 7
186
198
211
167
169
178
204
12 13 7
12
31
41
56
26
73
66
13 15 4
155
188
216
176
2 18 7
14 15 9
180
164
160
218
222
199
190
197
159
15 11 5
119
114
85
101
77
16 18 8
245
230
243
244
299
240
281
239
17 15 6
206
200
201
217
170
154
18 14 5
336
312
345
320
341
19 13 6
64
3
32
43
30
14
20 13 5
65
48
17
62
15
3 17 7
21 11 4
146
125
83
75
22 15 7
213
220
173
163
214
210
207
23 15 3
185
162
183
24 14 5
306
333
332
307
322
25 11 2
111
109
26 14 6
347
372
319
368
355
342
27 14 4
304
350
344
362
4 15 8
28 15 5
195
172
192
208
219
29 11 5
90
123
141
87
128
30 14 6
302
348
313
374
331
354
31 11 6
116
100
88
93
108
115
32 13 5
33
46
74
27
4
33 13 2
36
20
34 11 3
137
129
91
35 11 3
145
84
131
5 12 7
36 13 1
42
37 15 2
202
166
38 14 5
329
357
301
338
351
39 11 2
149
102
40 18 4
248
235
264
234
41 18 4
258
232
296
249
42 11 1
97
